<?php

namespace App\Http\Controllers\Admin;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request as Req;
use Request;

class TestController extends Controller {
	function test() {
        $gameTypeModel = new \App\Models\StGameType();
        $getGameTypeSelect = ['id', 'game_name', 'game_code']; 
        $getGameTypeWhere['status'] = 1;
        $result['sportType'] = $gameTypeModel -> getGameType($getGameTypeSelect, $getGameTypeWhere);
        $cascadeModel = new \App\Models\Cascade();
        $getRankSelect = ['id', 'title', 'source'];
        $result['rank']['area'] = $cascadeModel -> allArea($getRankSelect);
        $getCountrySelect = ['country_id', 'name_chinese', 'name_english', 'country_ico', 'country_area', 'id', 'source'];
        $result['rank']['country'] = $cascadeModel -> getCountry($getCountrySelect, '');
        $dt = \App\Lib\DataTable\DataTable::init();
        return view('admin.test/test', $dt->render($result));
	}
}